#ifndef DHCP_H
#define DHCP_H

#include <stdint.h>

typedef enum {
  DHCP_STATE_INIT,
  DHCP_STATE_DISCOVER,
  DHCP_STATE_REQUEST,
  DHCP_STATE_LEASED,
  DHCP_STATE_RENEW,
  DHCP_STATE_RELEASE
} dhcp_state_t;

void dhcp_init(void);
void dhcp_process(void);
uint8_t dhcp_get_state(void);

#endif
